body {
    font-family: 'Open Sans', sans-serif;
    color: #000;
    font-weight: 400;
    padding: 30px;
}
/* Grid set up */
.wrapper{
    display: grid;
    grid-template-columns: 240px 2fr 1fr;
    grid-template-rows: auto;
    column-gap: 5px;
    row-gap: 5px;

    grid-template-areas: 
    "logo banner banner"
    "nav nav nav"
    "main main sidebar"
    "footer footer footer";
}

/* Common code areas */
.common {
    padding: 20px;
    border-radius: 5px;
}

/* Grid areas */
.banner { grid-area: banner;
    background-color: rgb(95, 211, 186);

    /* Centers context vertically */
    display: flex;
    align-items: center;
}
.nav { grid-area: nav;
    background-color: #0fb158;
    font-size: 120%;
    text-align: center;
}
.sidebar { grid-area: sidebar;
    background-color: #e071c8;
}
.main { grid-area: main;
    background-color: rgb(134, 211, 134);
}
.footer { grid-area: footer;
    background-color: rgb(42, 85, 134);
    text-align: right;
}
.logo { 
    grid-area: logo;
    background-color: rgb(137, 180, 230);
}



/* --- nav links --- */
.nav { 
    margin: 0px;
    padding: 10px 0 10px 10px;
    border-width: 1px 0 0 0;
    overflow: hidden;
}
.nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
nav ul li {
    margin: 0 2.5em 0 5px;
    padding: 0;
    float: left;
    font-size: 1.2em;
    display: inline;
}
.nav ul li a {
    padding:10px;
    color: #ffffff;
    text-align:center;
    text-decoration:none;
    border: 1px solid #000000;
    margin: 5px;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
    border-radius: 8px;
    float:left;
    -moz-box-shadow: rgba(0,0,0,.8) 1px 1px 3px;
    -webkit-box-shadow: rgba(0,0,0,.8) 1px 1px 3px;
    box-shadow: rgba(0,0,0,.8) 1px 1px 3px;
}

/*Background colour for navigation buttons */
.nav ul a:link, nav ul a:visited {
    background: #4CDBC4;
}

/*Background colour changes when hovering */
.nav ul a:hover, nav ul a:active, nav ul a:focus {
    background: rgb(137, 180, 230);
}

/* Sidebar image Styling */
.img-side {
    border-radius: 50%;
    max-width: 85%;
    box-shadow: 0 6px 20px 0 rgba(0,0,0,0.8);
    height: auto;
    margin-left: 7%;
}

.sidebar h2 {
    text-align: center;
}
/*Text Styling */
h1 {
   font-family: "SN Pro", sans-serif;
  font-size: 250%;
  font-weight: 800.0;
  font-style: initial;
}
h2 {
    font-family: "Lobster", sans-serif;
    font-size: 185%;
    font-weight: 100;
    font-style: normal;
}
.footer {
    font-family: "Lobster", sans-serif;
    font-size: 125%;
    font-weight: 100;
    font-style: normal;
}
.lobster-regular {
  font-family: "Lobster", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* Result Styling */
.results {
padding: 20px;
background-color: #fefefe;
min-height: 150px;
}
.heading-block {
display: flex;
}
.holiday-image {
max-width: 150px;
height: auto;
float: left;
padding-right: 20px;
}
/* Result Styling */
.results {
    padding: 20px;
    background-color: #fefefe;
    min-height: 150px;
}
.heading-block {
    display: flex;
}
.surfing-image {
    max-width: 150px;
    height: auto;
    float: left;
    padding-right: 20px;
}
.tag {
    background-color: #1cebc8;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 4px;
    margin-right: 15px;
    border-width: 1px;
    border-style: solid;
    border-color: #83e953;
}